Subject: Re: get rid of drive letters!
From: [email-masked] (David Coe)

17 Jul 1997 19:56:23 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

[email-masked] wrote:
> 
> I guess a lot of people have problems with the braindead drive letters
> from DOS when using gnu-win32.  What about solving this by making a
> new drive, let's say U: (for universal) that maps all other drives as
> subdirectories and has support for symbolic links?  This is the way
> the drive problem was solved on the Atari's multitasking extension
> (MiNT), and it works great as soon as you get symlinks for /bin etc.
> 
> I suppose writing such a virtual filesystem is a breeze for someone
> who knows how to do such things in Windows.  Since I don't I pass on
> the idea to you guys, hoping that you'll like it enough to implement
> it.

As long as you only stay within gnu-win32, from bash:

   mount \\\\.\\f: /drive/f
   mount \\\\.\\g: /drive/g

or wherever...

-- 
Dr David Coe			     \=\
58 Fairlawn Drive, East Grinstead     \=\   Tel +44 1342 326860
West Sussex, RH19 1NT, United Kingdom  \=\  Fax +44 1342 316019
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".